Skip to main content
GET
Get Log File Content

Authorizations

Authorization
string
header
required

Pass your API key as a Bearer token. Create API keys in the project overview.

Path Parameters

endpoint_id
string
required

Unique endpoint ID.

Query Parameters

node_id
string
required

Node ID where the log file is located. Use the node_id value from the /logs response.

filename
string
required

Log file path. Use the filename value from the /logs response.

start_line
integer
default:1

Starting line number (1-based).

Required range: x >= 1
end_line
integer
default:1000

Ending line number. Max 50000.

Required range: 1 <= x <= 50000

Response

200 - application/json

Log file content.

content
string

Log file content for the specified line range. Each line is a JSON log entry.

start_line
integer

Actual start line number returned.

end_line
integer

Actual end line number returned.